AviatoAviato
DeveloperAPI ReferenceAdminNetworkDdnsReserve

/api/admin/network/ddns/reserve

POST
/api/admin/network/ddns/reserve

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/admin/network/ddns/reserve" \  -H "Content-Type: application/json" \  -d '{    "hostname": "string"  }'
{
  "hostname": "string",
  "fqdn": "string",
  "port": 1,
  "lanIps": [
    "string"
  ],
  "wanIps": [
    "string"
  ],
  "wanIpv6s": [
    "string"
  ],
  "reservedAt": "string",
  "lastUpdatedAt": "string",
  "ttlSeconds": 1
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}